package com.engine.salary.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 操作类型
 * <p>Copyright: Copyright (c) 2023</p>
 * <p>Company: 泛微软件</p>
 *
 * @author qiantao
 * @version 1.0
 **/
@Getter
@AllArgsConstructor
public enum OperateTypeEnum implements BaseEnum<String>{

    READ("0", "查看",1111),
    ADD("1", "新建", 94607),
    UPDATE("2", "更新", 249295),
    DELETE("3", "删除", 87061),
    FILE("4", "归档", 92144),
    CANCEL_FILE("5", "取消归档", 145989),
    CLEAR("6", "一键清空", 158473),
    CALCULATE("7", "核算", 94146),
    SYNC("8", "同步", 93950),
    EXCEL_IMPORT("9", "导入", 87622),
    EXCEL_EXPORT("9", "导出", 87622);

    private final String value;

    private final String defaultLabel;

    private final Integer labelId;

    @Override
    public String getValue() {
        return value;
    }

    @Override
    public Integer getLabelId() {
        return labelId;
    }

    @Override
    public String getDefaultLabel() {
        return defaultLabel;
    }
}
